import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateAudioPlayback(data) {
  const schema = Joi.object({
    newAudioPlayback: Joi.string()
      .min(2)
      .max(100)
      .required()
      .messages(validationMessages.newAudioPlayback),
    status: Joi.boolean().required().messages(validationMessages.status),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
