import mongoose from "mongoose";

const authSchema = new mongoose.Schema({
  username: {
    type: String,
    required: true,
    min: 3,
    max: 100,
  },
  email: {
    type: String,
    required: true,
    unique: true,
    min: 5,
    max: 255,
  },
  password: {
    type: String,
    required: true,
    min: 8,
    max: 100,
  },
  // profileImage: {
  //   type: String, // Assuming you'll store the path or URL of the image
  // },
  otp: {
    type: String,
  },
  otpSentTime: {
    type: Date,
  },
});

export const Auth = mongoose.model("auth", authSchema);
