import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateAuthUser(data) {
  const schema = Joi.object({
    username: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.username),
    email: Joi.string()
      .min(5)
      .max(255)
      .required()
      .email()
      .messages(validationMessages.email),
    password: Joi.string()
      .min(8)
      .max(100)
      .required()
      .messages(validationMessages.password),
    // profileImage: Joi.string().messages(validationMessages.profileImage),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
