import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateCompanySetting(data) {
  const schema = Joi.object({
    companyName: Joi.string()
      .min(2)
      .max(100)
      .required()
      .messages(validationMessages.newAudioPlayback),

    emailId: Joi.string()
      .min(5)
      .max(255)
      .required()
      .email()
      .messages(validationMessages.email),
    mobileNumber: Joi.number()
      .min(10)

      .required()
      .messages(validationMessages.phone),
    url: Joi.string().messages(validationMessages.url),
    companyAddress: Joi.string().messages(validationMessages.companyAddress),
    companyImage: Joi.string().messages(validationMessages.companyImage),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
