import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateFaqs(data) {
  const schema = Joi.object({
    title: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.title),
    subTitle: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.subTitle),
    description: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.description),
    status: Joi.boolean().required().messages(validationMessages.status),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
