import mongoose from "mongoose";

const groupSchema = new mongoose.Schema(
  {
    groupName: {
      type: String,
      required: true,
    },
    ageGroup: {
      minAge: {
        type: Number,
        required: true,
      },
      maxAge: {
        type: Number,
        required: true,
      },
    },
    subscriptionPlan: [
      {
        type: mongoose.Schema.Types.ObjectId,
        ref: "users",
      },
    ],

    transcribeUsageRange: {
      minUsage: {
        type: Number,
        required: true,
      },
      maxUsage: {
        type: Number,
        required: true,
      },
    },
    users: [
      {
        type: mongoose.Schema.Types.ObjectId,
        ref: "users",
      },
    ],
    status: {
      type: Boolean,
      required: true,
    },
    createdAt: {
      type: Date,
      default: Date.now,
    },
    updatedAt: {
      type: Date,
      default: Date.now,
    },
  },
  {
    timestamps: true,
  }
);

export const Group = mongoose.model("group", groupSchema);
