import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateRole(data) {
  const schema = Joi.object({
    roleName: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.roleName),
    // userId: Joi.string().required().messages(validationMessages.userId),
    permission: Joi.object().required().messages(validationMessages.permission),
    status: Joi.boolean().required().messages(validationMessages.status),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
