import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateSupportRequest(data) {
  const schema = Joi.object({
    title: Joi.string()
      .min(2)
      .max(100)
      .required()
      .messages(validationMessages.title),

    description: Joi.string()
      .min(2)
      .max(500)
      .required()
      .messages(validationMessages.description),
  });

  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
