import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateTicketSubject(data) {
  const schema = Joi.object({
    subjectName: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.subjectName),
    status: Joi.boolean().required().messages(validationMessages.status),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
