import Joi from "joi";
import { validationMessages } from "../../../utils/validationMessages.js";

export function validateTranscriptionCategory(data) {
  const schema = Joi.object({
    newTranscriptionCategory: Joi.string()
      .min(3)
      .max(100)
      .required()
      .messages(validationMessages.newTranscriptionCategory),
    status: Joi.boolean().required().messages(validationMessages.status),
  });
  return schema.validate(data, { abortEarly: false }); // abortEarly: false to collect all errors
}
