import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  addAudioPlayback,
  deleteAudioPlayback,
  getAudioPlaybackById,
  getAudioPlaybackes,
  updateAudioPlayback,
} from "../modules/audio-playback/controllers/audioPlayback.js";

const audioPlaybackRoute = express.Router();

audioPlaybackRoute.post("/add-audio-Playback", verifyjwt, addAudioPlayback);
audioPlaybackRoute.patch("/audio-Playback", verifyjwt, updateAudioPlayback);
audioPlaybackRoute.get("/audio-Playbackes", verifyjwt, getAudioPlaybackes);
audioPlaybackRoute.delete(
  "/audio-Playback/:id",
  verifyjwt,
  deleteAudioPlayback
);
audioPlaybackRoute.get("/audio-Playback/:id", verifyjwt, getAudioPlaybackById);

export default audioPlaybackRoute;
