import express from "express";

import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  getCompanySetting,
  updateCompanySetting,
} from "../modules/company-settings/controllers/companySettings.js";
import { uploadSingle } from "../helpers/multer.js";

const companySettingRoute = express.Router();

companySettingRoute.get("/company-setting", verifyjwt, getCompanySetting);
companySettingRoute.patch(
  "/company-setting",
  verifyjwt,
  uploadSingle("public/", "companyImage"),
  updateCompanySetting
);

export default companySettingRoute;
