import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  add,
  createBatch,
  deleteFiles,
  deleteOutPutFiles,
  editInputFile,
  exportOutPutFile,
  // exportPDF,
  get,
  getAllOutPutFile,
  getById,
  thematicAnalytic,
  youTubeUpload,
} from "../modules/input-file/controllers/inputFile.js";
import { uploadMultipleFile } from "../helpers/multer.js";
import { validFileType } from "../service/common.service.js";

const groupRoute = express.Router();

groupRoute.post(
  "/input-file/add",
  verifyjwt,
  uploadMultipleFile("public/input-file", "inputFile", 10),
  validFileType,
  add
);
groupRoute.post("/input-file/editInputFile", verifyjwt, editInputFile);

groupRoute.post("/input-file/youTubeUpload", verifyjwt, youTubeUpload);
groupRoute.post("/input-file/createBatch", verifyjwt, createBatch);

groupRoute.post("/input-file/outPutFile", verifyjwt, exportOutPutFile);

groupRoute.get("/input-file/get", verifyjwt, get);
groupRoute.get("/output-file/getAllOutPutFile", verifyjwt, getAllOutPutFile);
groupRoute.post("/output-file/delete", verifyjwt, deleteOutPutFiles);
groupRoute.get("/input-file/:id", verifyjwt, getById);
groupRoute.post("/input-file/delete", verifyjwt, deleteFiles);
groupRoute.post("/thematicAnalytic", verifyjwt, thematicAnalytic);
// groupRoute.get("/exportPDF", verifyjwt, exportPDF);

export default groupRoute;
