import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  addNotification,
  deleteNotification,
  getNotificationById,
  getNotifications,
  updateNotification,
} from "../modules/notification/controllers/notification.js";

const notificationRoute = express.Router();

notificationRoute.post("/add-notification", verifyjwt, addNotification);
notificationRoute.patch("/notification", verifyjwt, updateNotification);
notificationRoute.get("/notifications", verifyjwt, getNotifications);
notificationRoute.delete("/notification/:id", verifyjwt, deleteNotification);
notificationRoute.get("/notification/:id", verifyjwt, getNotificationById);

export default notificationRoute;
