import express from "express";

import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  getPrivacyPolicy,
  updatePrivacyPolicy,
} from "../modules/privacy-policy/controllers/privacyPolicy.js";
import { checkPermission } from "../middleware/checkPermission.js";

const privacyPolicyRoute = express.Router();

privacyPolicyRoute.get(
  "/privacy-policy",
  verifyjwt,
  checkPermission("privacyPolicy", "isView"),
  getPrivacyPolicy
);
privacyPolicyRoute.patch(
  "/privacy-policy",
  verifyjwt,
  checkPermission("privacyPolicy", "isEdit"),
  updatePrivacyPolicy
);

export default privacyPolicyRoute;
