import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import { checkPermission } from "../middleware/checkPermission.js";
import { addPrompts, deletePrompt, getPromptById, getPrompts, updatePrompt } from "../modules/prompts/controllers/prompts.js";

const promptsRoute = express.Router();

promptsRoute.post(
  "/add-prompt",
  verifyjwt,
  // Commented because this api's will be shifter to admin in future 
  // checkPermission("Prompts", "isAdd"),
  addPrompts
);
promptsRoute.patch(
  "/prompt",
  // checkPermission("Prompts", "isEdit"),
  verifyjwt,
  updatePrompt
);
promptsRoute.get("/prompts", checkPermission("Prompts", "isView"), verifyjwt, getPrompts);
promptsRoute.delete(
  "/prompt/:id",
  // checkPermission("Prompts", "isDelete"),
  verifyjwt,
  deletePrompt
);
promptsRoute.get(
  "/prompt/:id",
  // checkPermission("Prompts", "isView"),
  verifyjwt,
  getPromptById
);

export default promptsRoute;
