import express from "express";

import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  getTermsCondition,
  updateTermsCondition,
} from "../modules/terms-conditions/controllers/termsConditions.js";
import { checkPermission } from "../middleware/checkPermission.js";

const termsConditionRoute = express.Router();
termsConditionRoute.get(
  "/terms-condition",
  checkPermission("termsAndConditions", "isView"),
  verifyjwt,
  getTermsCondition
);
termsConditionRoute.patch(
  "/terms-condition",
  checkPermission("termsAndConditions", "isEdit"),
  verifyjwt,
  updateTermsCondition
);

export default termsConditionRoute;
