import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";

import {
  addTicket,
  deleteTicket,
  getTicketById,
  getTicketes,
  updateTicket,
} from "../modules/ticket-management/controllers/ticket.js";

const ticketRoute = express.Router();

ticketRoute.post("/add-ticket", verifyjwt, addTicket);
ticketRoute.patch("/ticket", verifyjwt, updateTicket);
ticketRoute.get("/tickets", verifyjwt, getTicketes);
ticketRoute.delete("/ticket/:id", verifyjwt, deleteTicket);
ticketRoute.get("/ticket/:id", verifyjwt, getTicketById);

export default ticketRoute;
