import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  addTicketSubject,
  deleteTicketSubject,
  getTicketSubjectById,
  getTicketSubjects,
  updateTicketSubject,
} from "../modules/ticket-subject/controllers/ticketSubject.js";

const ticketSubjectRoute = express.Router();

ticketSubjectRoute.post("/add-ticket-subject", verifyjwt, addTicketSubject);
ticketSubjectRoute.patch("/ticket-subject", verifyjwt, updateTicketSubject);
ticketSubjectRoute.get("/ticket-subjects", verifyjwt, getTicketSubjects);
ticketSubjectRoute.delete(
  "/ticket-subject/:id",
  verifyjwt,
  deleteTicketSubject
);
ticketSubjectRoute.get("/ticket-subject/:id", verifyjwt, getTicketSubjectById);

export default ticketSubjectRoute;
