import express from "express";
import { verifyjwt } from "../middleware/verifyjwt.js";
import {
  addTranscriptionCategory,
  deleteTranscriptionCategory,
  getTranscriptionCategoryById,
  getTranscriptionCategoryes,
  updateTranscriptionCategory,
} from "../modules/transcription-category/controllers/transcription-category.js";
import { checkPermission } from "../middleware/checkPermission.js";

const transcriptionCategoryRoute = express.Router();

transcriptionCategoryRoute.post(
  "/add-transcription-category",
  verifyjwt,
  checkPermission("transcriptionCategory", "isAdd"),

  addTranscriptionCategory
);
transcriptionCategoryRoute.patch(
  "/transcription-category",
  verifyjwt,
  checkPermission("transcriptionCategory", "isEdit"),

  updateTranscriptionCategory
);
transcriptionCategoryRoute.get(
  "/transcription-categorys",
  verifyjwt,
  checkPermission("transcriptionCategory", "isView"),

  getTranscriptionCategoryes
);
transcriptionCategoryRoute.delete(
  "/transcription-category/:id",
  verifyjwt,
  checkPermission("transcriptionCategory", "isDelete"),

  deleteTranscriptionCategory
);
transcriptionCategoryRoute.get(
  "/transcription-category/:id",
  verifyjwt,
  checkPermission("transcriptionCategory", "isView"),

  getTranscriptionCategoryById
);

export default transcriptionCategoryRoute;
