import { CompanySetting } from "../modules/company-settings/entities/companySettings.entities.js";
import { Duration } from "../modules/delete-file-duration/entities/duration.entitie.js";
import { PrivacyPolicy } from "../modules/privacy-policy/entities/privacyPolicy.entitie.js";
import { Role } from "../modules/role/entities/role.entity.js";
import { TermsCondition } from "../modules/terms-conditions/entities/termsConditions-entitie.js";
import { AdminUser, User } from "../modules/user/entities/userSchema.js";
import { USERTYPE } from "../utils/enums.js";

export const roleSeeder = async () => {
  const roleCount = await Role.countDocuments();

  if (roleCount === 0) {
    const roleObject = [
      {
        _id: "658eb48c983b3608bf5036fc",
        roleName: "Super Admin",
        userId: "658eadca518a1c3b2af1bd9a",
        permission: {
          dashboard: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          users: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          roles: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          transcriptionFiles: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          toolUsers: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          subscriptions: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          payments: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          languageSetup: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          transcriptionQuality: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          transcriptionCategory: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          audioPlayback: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          supportFormat: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          outputFormat: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          fileManagement: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          transcriptionPerformance: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          transcriptionTrends: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          trendsStatistics: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          usageStatistics: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          supportRequest: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          supportSubject: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          thematicAnalysis: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          thematicStatistics: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          FAQs: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          ticketsManagement: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          ticketsSubject: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          chat: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          broadcastNotification: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          groupManagement: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          logs: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          companySettings: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          termsAndConditions: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          privacyPolicy: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          profile: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          changePassword: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
          ratingReviewAndTestimonial: {
            isEdit: true,
            isDelete: true,
            isAdd: true,
            isView: true,
          },
        },
      },
    ];
    await Role.create(roleObject);
  }
};

export const adminUserSeeder = async () => {
  const count = await User.countDocuments({});

  if (count === 0) {
    const userObject = [
      {
        // Super admin
        _id: "658eadca518a1c3b2af1bd9a",
        username: "Super Admin",
        profileImage: "",
        userType: USERTYPE.ADMIN,
        email: "super.admin@gmail.com",
        phone: 9521245236,
        role: "658eb48c983b3608bf5036fc",
        status: true,
        password:
          "$2b$10$VDRE/i7ch19uFZbzCTw24.x4/8qD29nseoyOKg5h6UKUCmv84SHS2",
      },
    ];
    await User.create(userObject);
    const adminUserObject = { ...userObject[0], userId: userObject[0]._id };
    await AdminUser.create(adminUserObject);
    
  }
};

export const adminCompanySettings = async () => {
  const count = await CompanySetting.countDocuments({});

  if (count === 0) {
    const companyObject = [
      {
        // Super admin
        _id: "658eadca518a1c3b2af1bd8a",
        companyName: "Admin Company",
        emailId: "admin.test@gmail.com",
        mobileNumber: 5243152379,
        url: "https://goo.gl/tLl6Dl",
      },
    ];
    await CompanySetting.create(companyObject);
  }
};

export const adminTermsCondition = async () => {
  const count = await TermsCondition.countDocuments({});

  if (count === 0) {
    const termsConditionObject = [
      {
        // Super admin
        _id: "658eadca518a1c3b2af1bd7a",
        termsCondition: "Test 123",
      },
    ];
    await TermsCondition.create(termsConditionObject);
  }
};

export const adminPrivacyPolicy = async () => {
  const count = await PrivacyPolicy.countDocuments({});

  if (count === 0) {
    const privacyPolicyObject = [
      {
        // Super admin
        _id: "658eadca518a1c3b2af1bd6a",
        privacyPolicy: "Test 123",
      },
    ];
    await PrivacyPolicy.create(privacyPolicyObject);
  }
};

const createDuration = async () => {
  const count = await Duration.countDocuments({});

  if (count === 0) {
    await Duration.create({ _id: "658eadca518a1c3b2af1bd6a", month: 1 });
    console.log("Duration objects created successfully.");
  }
};

export const commonSeederFunctions = () => {
  adminCompanySettings();
  adminTermsCondition();
  adminPrivacyPolicy();
  createDuration();
};
