import { sendEmail } from "./email.service.js";

export function generateOtp(length = 4) {
  let otp = "";
  for (let i = 0; i < length; i++) {
    otp += Math.floor(Math.random() * 10); // Appending a random digit between 0 and 9
  }
  return otp;
}
export async function sendOtpEmail(email) {
  const otp = generateOtp();
  const from = process.env.SENDER_EMAIL;
  const subject = "Your OTP Code";
  const text = `Your OTP code is ${otp}`;
  const html = `<p>Your OTP code is <strong>${otp}</strong></p>`;

  const emailResult = await sendEmail({ from, to: email, subject, text, html });

  if (emailResult.success) {
    return { success: true, otp };
  } else {
    return { success: false, error: emailResult.error };
  }
}
