export let UserSocketMap = {};

export const connectSocket = (io) => {
  try {
    io.on("connection", async (socket) => {
      const userId = socket.handshake.query.userId;

      if (!userId || userId === "null" || userId == "undefined") {
        return;
      }

      if (userId) {
        UserSocketMap[userId] = socket.id;

        // socket.on("join-chat", (data) => {
        //   joinChat(io, UserSocketMap, data);
        // });

        socket.on("disconnect", () => {
          delete UserSocketMap[userId];
        });
      }
    });
  } catch (error) {
    console.log("Connect Chat", error);
  }
};
