export const messages = {
  signIn: {
    success: "Sign in successful!",
    invalidCredentials: "Invalid username or password. Please try again.",
    accountLocked: "Your account has been locked. Please contact support.",
    otpSent: "OTP sent.",
  },
  signUp: {
    success: "Sign up successful!",
    username_emailTaken: "Username or email already in use.",
    weakPassword: "Password must be at least 8 characters long.",
  },
  updateUser: {
    success: "User updated successfully.",
    userNotFound: "User not found.",
  },
  verifyOTP: {
    success: "OTP verified successfully.",
    invalidOTP: "Invalid OTP.",
  },
  inputFile: {
    invalidInputFile: "Invalid input file.",
    updateSuccess: "Input file updated successfully.",
  },
  resendOTP: {
    tooSoon: "Try again after some time.",
  },
  resetPassword: {
    success: "Password updated successfully.",
    invalidToken: "Invalid token.",
  },
  user: {
    success: "User added successfully.",
    invalidToken: "Invalid token.",
  },
  role: {
    success: "Role added successfully.",
    roleExits: "Role already exists.",
    roleNotFound: "Role not found.",
    roleUpdated: "Role updated successfully.",
    roleDeleted: "Role deleted successfully.",
  },
  language: {
    success: "Language added successfully.",
    languageExits: "Language already exists.",
    languageNotFound: "Language not found.",
    languageUpdated: "Language updated successfully.",
    languageDeleted: "Language deleted successfully.",
  },
  transcriptionQuality: {
    success: "Transcription quality added successfully.",
    transcriptionQualityExits: "Transcription quality already exists.",
    transcriptionQualityNotFound: "Transcription quality not found.",
    transcriptionQualityUpdated: "Transcription quality updated successfully.",
    transcriptionQualityDeleted: "Transcription quality deleted successfully.",
  },
  audioPlayback: {
    success: "Audio playback added successfully.",
    audioPlaybackExits: "Audio playback already exists.",
    audioPlaybackNotFound: "Audio playback not found.",
    audioPlaybackUpdated: "Audio playback updated successfully.",
    audioPlaybackDeleted: "Audio playback deleted successfully.",
  },
  transcriptionCategory: {
    success: "Transcription category added successfully.",
    transcriptionCategoryExits: "Transcription category already exists.",
    transcriptionCategoryNotFound: "Transcription category not found.",
    transcriptionCategoryUpdated:
      "Transcription category updated successfully.",
    transcriptionCategoryDeleted:
      "Transcription category deleted successfully.",
  },
  subscription: {
    success: "Subscription added successfully.",
    subscriptionExits: "Subscription already exists.",
    subscriptionNotFound: "Subscription not found.",
    subscriptionUpdated: "Subscription updated successfully.",
    subscriptionDeleted: "Subscription deleted successfully.",
  },

  notification: {
    success: "Notification added successfully.",
    notificationExits: "Notification already exists.",
    notificationNotFound: "Notification not found.",
    notificationUpdated: "Notification updated successfully.",
    notificationDeleted: "Notification deleted successfully.",
  },
  group: {
    success: " Group added successfully.",
    groupExits: "Group already exists.",
    groupNotFound: "Group not found.",
    groupUpdated: "Group updated successfully.",
    groupDeleted: "Group deleted successfully.",
  },

  companySetting: {
    companySettingNotFound: "Company Setting not found.",
    companySettingpUpdated: "Company Setting updated successfully.",
  },
  privacyPolicy: {
    privacyPolicyNotFound: "Privacy Policy not found.",
    privacyPolicyUpdated: "Privacy Policy updated successfully.",
  },
  termsCondition: {
    termsConditionNotFound: "Terms Condition not found.",
    termsConditionUpdated: "Terms Condition updated successfully.",
  },

  outputFormat: {
    success: "Output Format added successfully.",
    outputFormatExits: "Output Format already exists.",
    outputFormatNotFound: "Output Format not found.",
    outputFormatUpdated: "Output Format updated successfully.",
    outputFormatDeleted: "Output Format deleted successfully.",
  },
  duration: {
    success: "Duration added successfully.",
    durationUpdated: "Duration updated successfully.",
    durationNotFound: "Please add duration",
  },
  changePassword: {
    success: "Password updated successfully.",
  },
  faqs: {
    success: "Faq added successfully.",
    faqExits: "Faq already exists.",
    faqNotFound: "Faq not found.",
    faqUpdated: "Faq updated successfully.",
    faqDeleted: "Faq deleted successfully.",
  },
  ticket: {
    success: "Ticket added successfully.",
    ticketExits: "Ticket already exists.",
    ticketNotFound: "Ticket not found.",
    ticketUpdated: "Ticket updated successfully.",
    ticketDeleted: "Ticket deleted successfully.",
  },
  ticketSubject: {
    success: "Ticket Subject added successfully.",
    ticketSubjectExits: "Ticket Subject already exists.",
    ticketSubjectNotFound: "Ticket Subject not found.",
    ticketSubjectUpdated: "Ticket Subject updated successfully.",
    ticketSubjectDeleted: "Ticket Subject deleted successfully.",
  },

  supportRequest: {
    success: "Support Request added successfully.",
    supportRequestExits: "Support Request already exists.",
    supportRequestNotFound: "Support Request not found.",
    supportRequestUpdated: "Support Request updated successfully.",
    supportRequestDeleted: "Support Request deleted successfully.",
  },
  feedback: {
    success: "Feedback successfully.",
    updated: "Feedback updated successfully.",
  },

  prompts: {
    success: "Prompt added successfully.",
    promptExits: "Prompt already exists.",
    promptNotFound: "Prompt not found.",
    promptUpdated: "Prompt updated successfully.",
    promptDeleted: "Prompt deleted successfully.",
  },
  allFieldsRequired: "All fields are required.",
  internalServerError: "Internal server error.",
  noUsersFound: "No users found.",
  success: "Data fetched successfully.",
  delete: "Data deleted successfully.",
  invalidToken: "Invalid token.",
  unauthorizedUser: "Unauthorized user.",
  noDataAvailable: "No data available.",
  insufficient_Permissions: "Unauthorized: Insufficient permissions",
  incorrectPassword: "Incorrect Password",
  maxFile: "Maximum 10 file allowed to upload",
  verifyProfile: "Please verify your profile",
  logOutSuccess: "Logged out successfully.",
  tokenNotFound: "Token not found",
  userAlreadyExists: "User is already exists.",
};