export const validationMessages = {
  username: {
    "string.base": "Username must be a string",
    "string.alphanum": "Username must contain only alphanumeric characters",
    "string.min": "Username must be at least {{#limit}} characters long",
    "string.max":
      "Username must be less than or equal to {{#limit}} characters long",
    "any.required": "Username is required",
  },
  email: {
    "string.email": "Invalid email format",
    "any.required": "Email is required",
  },
  password: {
    "string.pattern.base": "Password must contain only alphanumeric characters",
    "any.required": "Password is required",
  },
  profileImage: {
    "any.required": "Profile is required",
  },
  role: {
    "any.required": "Role is required",
  },
  status: {
    "any.required": "Status is required",
  },

  roleName: {
    "any.required": "Role name is required",
  },
  userId: {
    "any.required": "User Id is required",
  },
  permission: {
    "any.required": "Permission is required",
  },
  newLanguage: {
    "any.required": "Language is required",
  },
  newTranscriptionQuality: {
    "any.required": "Transcription Quality is required",
  },
  newAudioPlayback: {
    "any.required": "Audio Playback is required",
  },
  newTranscriptionCategory: {
    "any.required": "Transcription Category is required",
  },

  subscriptionTitle: {
    "any.required": "Subscription Title is required",
  },
  planDuration: {
    "any.required": "Plan Duration is required",
  },
  subscriptionAmount: {
    "any.required": "Subscription Amount is required",
  },
  startDate: {
    "date.base": "Start date should be a valid date",
    "date.empty": "Start date cannot be empty",
    "date.isoDate": "Start date must be in ISO format",
    "any.required": "Start date is required",
  },
  endDate: {
    "date.base": "End date should be a valid date",
    "date.empty": "End date cannot be empty",
    "date.isoDate": "End date must be in ISO format",
    "date.greater": "End date must be later than start date",
    "any.required": "End date is required",
  },

  title: {
    "any.required": "Title is required",
  },
  groupId: {
    "any.required": "Group Id is required",
  },
  userId: {
    "any.required": "User Id is required",
  },
  message: {
    "any.required": "Message is required",
  },
  notificationType: {
    "any.required": "Notification Type is required",
  },
  title: {
    "any.required": "Title is required",
  },
  userType: {
    "any.required": "User Type is required",
  },
  phone: {
    "any.required": "Phone is required",
  },
  url: {
    "any.required": "Url is required",
  },
  privacyPolicy: {
    "any.required": "Privacy Policy is required",
  },
  termsCondition: {
    "any.required": "Terms Condition is required",
  },
  groupName: {
    "any.required": "Group Name is required",
  },
  minAge: {
    "any.required": "Min Age is required",
  },
  maxAge: {
    "any.required": "Max Age is required",
  },
  subscriptionPlan: {
    "any.required": "Subscription Plan is required",
  },
  minUsage: {
    "any.required": "Min Usage is required",
  },
  maxUsage: {
    "any.required": "Max Usage is required",
  },
  users: {
    "any.required": "Users is required",
  },
  subscriptionContent: {
    "any.required": "Subscription Content is required",
  },
  companyAddress: {
    "any.required": "Company Address is required",
  },
  companyImage: {
    "any.required": "Company Profile is required",
  },
  subTitle: {
    "any.required": "Sub Title is required",
  },
  description: {
    "any.required": "Description is required",
  },
  subjectName: {
    "any.required": "Subject Name is required",
  },
  name: {
    "any.required": "Name is required",
  },
  prompt: {
    "any.required": "Prompt is required",
  },
};
